import cx from 'classnames';
import DefaultCloseIcon from '@s-ui/react-icons/lib/X';
import DefaultInstallButton from './InstallButton/index.js';
import PropTypes from 'prop-types';
import RatingStar from './RatingStar/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

function AdSmartbanner(_ref) {
  var _ref$button = _ref.button,
      Button = _ref$button === void 0 ? DefaultInstallButton : _ref$button,
      buttonText = _ref.buttonText,
      customRatingIcons = _ref.customRatingIcons,
      _ref$icon = _ref.icon,
      IconClose = _ref$icon === void 0 ? DefaultCloseIcon : _ref$icon,
      imageUrl = _ref.imageUrl,
      logoNode = _ref.logoNode,
      onClick = _ref.onClick,
      onClose = _ref.onClose,
      ratingMax = _ref.ratingMax,
      _ref$ratingValue = _ref.ratingValue,
      ratingValue = _ref$ratingValue === void 0 ? null : _ref$ratingValue,
      _ref$staticPosition = _ref.staticPosition,
      staticPosition = _ref$staticPosition === void 0 ? false : _ref$staticPosition,
      text = _ref.text,
      title = _ref.title;
  var baseClass = 'sui-AdSmartbanner';
  var className = cx(baseClass, {
    'is-static': staticPosition
  });
  var baseClassLogo = baseClass + "-logo";
  return /*#__PURE__*/_jsxs("div", {
    className: className,
    children: [/*#__PURE__*/_jsx("button", {
      className: baseClass + "-buttonClose",
      onClick: onClose,
      children: /*#__PURE__*/_jsx(IconClose, {
        svgClass: baseClass + "-buttonCloseIcon"
      })
    }), /*#__PURE__*/_jsx("div", {
      className: baseClass + "-primary",
      children: logoNode ? /*#__PURE__*/_jsx("div", {
        className: baseClassLogo,
        children: logoNode
      }) : /*#__PURE__*/_jsx("img", {
        alt: "logo",
        src: imageUrl,
        className: baseClassLogo
      })
    }), /*#__PURE__*/_jsxs("div", {
      className: baseClass + "-secondary",
      children: [/*#__PURE__*/_jsx("h3", {
        className: baseClass + "-title",
        children: title
      }), /*#__PURE__*/_jsx("p", {
        className: baseClass + "-text",
        children: text
      }), ratingValue !== null && /*#__PURE__*/_jsx("div", {
        className: baseClass + "-ratingContainer",
        children: /*#__PURE__*/_jsx(RatingStar, {
          ratingValue: ratingValue,
          ratingMax: ratingMax,
          icons: customRatingIcons
        })
      })]
    }), /*#__PURE__*/_jsx(Button, {
      baseClass: baseClass,
      onClick: onClick,
      children: buttonText
    })]
  });
}

AdSmartbanner.displayName = 'AdSmartbanner';
export default AdSmartbanner;